version: "3.9"
services:
  prometheus:
    user: "$UID:$GID"
    image: prom/prometheus:{{ cloudstack.plugins[plugin].version }}
    container_name: {{ plugin }}
    volumes:
      - /opt/cloudstack/{{ plugin }}/config/:/etc/prometheus/
      - prometheus-data:/prometheus
    command:
      - '--config.file=/etc/prometheus/prometheus.yaml'
      - '--storage.tsdb.path=/prometheus'
      - '--web.console.libraries=/usr/share/prometheus/console_libraries'
      - '--web.console.templates=/usr/share/prometheus/consoles'
    networks:
      - prometheus
{% if cloudstack.plugins[plugin].config.integrations.traefik|bool %}
      - traefik
{% endif %}
    restart: always
{% if cloudstack.plugins[plugin].config.integrations.traefik|bool %}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
      - "traefik.http.services.{{ plugin }}.loadbalancer.server.port={{ cloudstack.plugins[plugin].config.port }}"
      - "traefik.http.services.{{ plugin }}.loadbalancer.passhostheader=true"
      - "traefik.http.routers.{{ plugin }}.rule=Host(`{{ cloudstack.plugins[plugin].config.sitename }}`)"
      - "traefik.http.routers.{{ plugin }}.service={{ plugin }}"
      - "traefik.http.routers.{{ plugin }}.entrypoints=web,websecure"
{% endif %}

networks:
{% if cloudstack.plugins[plugin].config.integrations.traefik|bool %}
  traefik:
    external: true
{% endif %}
  prometheus:
    name: prometheus
{% if cloudstack.plugins[plugin].config.integrations.cadvisor|bool %}
  cadvisor:
    external: true
{% endif %}
{% if cloudstack.plugins[plugin].config.integrations.node_exporter|bool %}
  node_exporter:
    external: true
{% endif %}
{% if cloudstack.plugins[plugin].config.integrations.blackbox_exporter|bool %}
  blackbox_exporter:
    external: true
{% endif %}

volumes:
  {{ plugin }}-data: